package com.nokia.financeapi.service.house;

import com.nokia.financeapi.common.R;
import com.nokia.financeapi.dao.house.HouseResourceMapMapper;
import com.nokia.financeapi.pojo.dto.GetBuildingAreaStatDto;
import com.nokia.financeapi.pojo.dto.GetLandBuildingStatDto;
import com.nokia.financeapi.pojo.vo.GetBuildingAreaStatVo;
import com.nokia.financeapi.pojo.vo.GetLandBuildingStatVo;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.List;

@Service
public class HouseResourceMapService {
    private final HouseResourceMapMapper houseResourceMapMapper;

    public HouseResourceMapService(HouseResourceMapMapper houseResourceMapMapper) {
        this.houseResourceMapMapper = houseResourceMapMapper;
    }

    public R<GetBuildingAreaStatVo> getBuildingAreaStat(GetBuildingAreaStatDto dto) {
        return R.ok(houseResourceMapMapper.getBuildingAreaStat(dto));
    }

    public R<List<GetLandBuildingStatVo>> getLandBuildingStat(GetLandBuildingStatDto dto) {
        if (StringUtils.hasText(dto.getCity())) {
            return R.ok(houseResourceMapMapper.getDistrictLandBuildingStat(dto));
        }
        return R.ok(houseResourceMapMapper.getCityLandBuildingStat());
    }
}
